<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (1.8.0_181) on Sat Nov 10 15:43:02 CET 2018 -->
<title>C-Index</title>
<meta name="date" content="2018-11-10">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="C-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">Q</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><a href="../elasticclient/ClientRequest.html" title="class in elasticclient"><span class="typeNameLink">ClientRequest</span></a> - Class in <a href="../elasticclient/package-summary.html">elasticclient</a></dt>
<dd>
<div class="block">Represents a request, it can include document requests and search requests.</div>
</dd>
<dt><span class="memberNameLink"><a href="../elasticclient/ClientRequest.html#ClientRequest--">ClientRequest()</a></span> - Constructor for class elasticclient.<a href="../elasticclient/ClientRequest.html" title="class in elasticclient">ClientRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../elasticclient/ClientRequest.html#ClientRequest-java.util.List-queries.Search-">ClientRequest(List&lt;Request&gt;, Search)</a></span> - Constructor for class elasticclient.<a href="../elasticclient/ClientRequest.html" title="class in elasticclient">ClientRequest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../templates/Count_template.html" title="class in templates"><span class="typeNameLink">Count_template</span></a> - Class in <a href="../templates/package-summary.html">templates</a></dt>
<dd>
<div class="block">Represents a template for building a query to retrieve the information to build the visualizations on the dashboard.</div>
</dd>
<dt><span class="memberNameLink"><a href="../templates/Count_template.html#Count_template--">Count_template()</a></span> - Constructor for class templates.<a href="../templates/Count_template.html" title="class in templates">Count_template</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../templates/Count_template.html#Count_template-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">Count_template(String, String, String, String, String)</a></span> - Constructor for class templates.<a href="../templates/Count_template.html" title="class in templates">Count_template</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aggregations/metricsaggs/AggregationFactory.html#create-java.lang.String-java.lang.String-">create(String, String)</a></span> - Static method in class aggregations.metricsaggs.<a href="../aggregations/metricsaggs/AggregationFactory.html" title="class in aggregations.metricsaggs">AggregationFactory</a></dt>
<dd>
<div class="block">Creates a metrics aggregation given its type and name.</div>
</dd>
<dt><span class="memberNameLink"><a href="../examples/newtemplate/TestTemplate.html#createTemplate--">createTemplate()</a></span> - Method in class examples.newtemplate.<a href="../examples/newtemplate/TestTemplate.html" title="class in examples.newtemplate">TestTemplate</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../templates/Count_template.html#createTemplate--">createTemplate()</a></span> - Method in class templates.<a href="../templates/Count_template.html" title="class in templates">Count_template</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../templates/ITemplate.html#createTemplate--">createTemplate()</a></span> - Method in interface templates.<a href="../templates/ITemplate.html" title="interface in templates">ITemplate</a></dt>
<dd>
<div class="block">Builds the ES object associated with this template and returns it.</div>
</dd>
<dt><span class="memberNameLink"><a href="../templates/Template1.html#createTemplate--">createTemplate()</a></span> - Method in class templates.<a href="../templates/Template1.html" title="class in templates">Template1</a></dt>
<dd>
<div class="block">Builds a SearchSourceBuilder with the provided termQueries, matchQueries, rangeQueries</div>
</dd>
<dt><a href="../deserialization/CustomParserException.html" title="class in deserialization"><span class="typeNameLink">CustomParserException</span></a> - Exception in <a href="../deserialization/package-summary.html">deserialization</a></dt>
<dd>
<div class="block">Represents a custom deserializer specific exception</div>
</dd>
<dt><span class="memberNameLink"><a href="../deserialization/CustomParserException.html#CustomParserException-java.lang.String-">CustomParserException(String)</a></span> - Constructor for exception deserialization.<a href="../deserialization/CustomParserException.html" title="class in deserialization">CustomParserException</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">Q</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
